Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core.simple
Interface SimpleJdbcCallOperations

All Known Implementing Classes:
  SimpleJdbcCall

    public interface SimpleJdbcCallOperations

Interface specifying the API for a Simple JDBC Call implemented by `SimpleJdbcCall`. This interface is not often used directly, but provides the option to enhance testability, as it can easily be mocked or stubbed.

Since:
  2.5
Author:
  Thomas Risberg

Method Summary
`SimpleJdbcCallOperations` | `declareParameters(SqlParameter... sqlParameters)` Specify one or more parameters if desired.
`java.util.Map<java.lang.String,java.lang.Object>` | `execute(java.util.Map<java.lang.String,?> args)` Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations..
`java.util.Map<java.lang.String,java.lang.Object>` | `execute(java.lang.Object... args)` Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations.
`java.util.Map<java.lang.String,java.lang.Object>` | `execute(SqlParameterSource args)` Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations..
`
`<T> T`
` | `executeFunction(java.lang.Class<T> returnType, java.util.Map<java.lang.String,?> args)` Execute the stored function and return the results obtained as an Object of the specified return type.
`
`<T> T`
` | `executeFunction(java.lang.Class<T> returnType, java.lang.Object... args)` Execute the stored function and return the results obtained as an Object of the specified return type.
`
`<T> T`
` | `executeFunction(java.lang.Class<T> returnType, SqlParameterSource args)` Execute the stored function and return the results obtained as an Object of the specified return type.
`
`<T> T`
` | `executeObject(java.lang.Class<T> returnType, java.util.Map<java.lang.String,?> args)` Execute the stored procedure and return the single out parameter as an Object of the specified return type.
`
`<T> T`
` | `executeObject(java.lang.Class<T> returnType, java.lang.Object... args)` Execute the stored procedure and return the single out parameter as an Object of the specified return type.
`
`<T> T`
` | `executeObject(java.lang.Class<T> returnType, SqlParameterSource args)` Execute the stored procedure and return the single out parameter as an Object of the specified return type.
`SimpleJdbcCallOperations` | `returningResultSet(java.lang.String parameterName, ParameterizedRowMapper rowMapper)` Deprecated. in favor of `returningResultSet(String, org.springframework.jdbc.core.RowMapper)`
`SimpleJdbcCallOperations` | `returningResultSet(java.lang.String parameterName, RowMapper rowMapper)` Used to specify when a ResultSet is returned by the stored procedure and you want it mapped by a RowMapper.
`SimpleJdbcCallOperations` | `useInParameterNames(java.lang.String... inParameterNames)` Not used yet
`SimpleJdbcCallOperations` | `withCatalogName(java.lang.String catalogName)` Optionally, specify the name of the catalog that contins the stored procedure.
`SimpleJdbcCallOperations` | `withFunctionName(java.lang.String functionName)` Specify the procedure name to be used - this implies that we will be calling a stored function.
`SimpleJdbcCallOperations` | `withoutProcedureColumnMetaDataAccess()` Turn off any processing of parameter meta data information obtained via JDBC.
`SimpleJdbcCallOperations` | `withProcedureName(java.lang.String procedureName)` Specify the procedure name to be used - this implies that we will be calling a stored procedure.
`SimpleJdbcCallOperations` | `withReturnValue()` Indicates the procedure's return value should be included in the results returned.
`SimpleJdbcCallOperations` | `withSchemaName(java.lang.String schemaName)` Optionally, specify the name of the schema that contins the stored procedure.

Method Detail

### withProcedureName

    SimpleJdbcCallOperations withProcedureName(java.lang.String procedureName)

  Specify the procedure name to be used - this implies that we will be calling a stored procedure.

  Parameters:
    `procedureName` - the name of the stored procedure
  Returns:
    the instance of this SimpleJdbcCall

### withFunctionName

    SimpleJdbcCallOperations withFunctionName(java.lang.String functionName)

  Specify the procedure name to be used - this implies that we will be calling a stored function.

  Parameters:
    `functionName` - the name of the stored function
  Returns:
    the instance of this SimpleJdbcCall

### withSchemaName

    SimpleJdbcCallOperations withSchemaName(java.lang.String schemaName)

  Optionally, specify the name of the schema that contins the stored procedure.

  Parameters:
    `schemaName` - the name of the schema
  Returns:
    the instance of this SimpleJdbcCall

### withCatalogName

    SimpleJdbcCallOperations withCatalogName(java.lang.String catalogName)

  Optionally, specify the name of the catalog that contins the stored procedure. To provide consistency with the Oracle DatabaseMetaData, this is used to specify the package name if the procedure is declared as part of a package.

  Parameters:
    `catalogName` - the catalog or package name
  Returns:
    the instance of this SimpleJdbcCall

### withReturnValue

    SimpleJdbcCallOperations withReturnValue()

  Indicates the procedure's return value should be included in the results returned.

  Returns:
    the instance of this SimpleJdbcCall

### declareParameters

    SimpleJdbcCallOperations declareParameters(SqlParameter... sqlParameters)

  Specify one or more parameters if desired. These parameters will be supplemented with any parameter information retrieved from the database meta data. Note that only parameters declared as `SqlParameter` and `SqlInOutParameter` will be used to provide input values. This is different from the `StoredProcedure` class which for backwards compatibility reasons allows input values to be provided for parameters declared as `SqlOutParameter`.

  Parameters:
    `sqlParameters` - the parameters to use
  Returns:
    the instance of this SimpleJdbcCall

### useInParameterNames

    SimpleJdbcCallOperations useInParameterNames(java.lang.String... inParameterNames)

  Not used yet

### returningResultSet

    SimpleJdbcCallOperations returningResultSet(java.lang.String parameterName,
                                                RowMapper rowMapper)

  Used to specify when a ResultSet is returned by the stored procedure and you want it mapped by a RowMapper. The results will be returned using the parameter name specified. Multiple ResultSets must be declared in the correct order. If the database you are using uses ref cursors then the name specified must match the name of the parameter declared for the procedure in the database.

  Parameters:
    `parameterName` - the name of the returned results and/or the name of the ref cursor parameter
    `rowMapper` - the RowMapper implementation that will map the data returned for each row

### returningResultSet

    @Deprecated
    SimpleJdbcCallOperations returningResultSet(java.lang.String parameterName,
                                                           ParameterizedRowMapper rowMapper)

  Deprecated. in favor of `returningResultSet(String, org.springframework.jdbc.core.RowMapper)`

  Used to specify when a ResultSet is returned by the stored procedure and you want it mapped by a RowMapper. The results will be returned using the parameter name specified. Multiple ResultSets must be declared in the correct order. If the database you are using uses ref cursors then the name specified must match the name of the parameter declared for the procedure in the database.

### withoutProcedureColumnMetaDataAccess

    SimpleJdbcCallOperations withoutProcedureColumnMetaDataAccess()

  Turn off any processing of parameter meta data information obtained via JDBC.

  Returns:
    the instance of this SimpleJdbcCall

### executeFunction

    <T> T executeFunction(java.lang.Class<T> returnType,
                          java.lang.Object... args)

  Execute the stored function and return the results obtained as an Object of the specified return type.

  Parameters:
    `returnType` - the type of the value to return
    `args` - optional array containing the in parameter values to be used in the call. Parameter values must be provided in the same order as the parameters are defined for the stored procedure.

### executeFunction

    <T> T executeFunction(java.lang.Class<T> returnType,
                          java.util.Map<java.lang.String,?> args)

  Execute the stored function and return the results obtained as an Object of the specified return type.

  Parameters:
    `returnType` - the type of the value to return
    `args` - Map containing the parameter values to be used in the call.

### executeFunction

    <T> T executeFunction(java.lang.Class<T> returnType,
                          SqlParameterSource args)

  Execute the stored function and return the results obtained as an Object of the specified return type.

  Parameters:
    `returnType` - the type of the value to return
    `args` - MapSqlParameterSource containing the parameter values to be used in the call.

### executeObject

    <T> T executeObject(java.lang.Class<T> returnType,
                        java.lang.Object... args)

  Execute the stored procedure and return the single out parameter as an Object of the specified return type. In the case where there are multiple out parameters, the first one is returned and additional out parameters are ignored.

  Parameters:
    `returnType` - the type of the value to return
    `args` - optional array containing the in parameter values to be used in the call. Parameter values must be provided in the same order as the parameters are defined for the stored procedure.

### executeObject

    <T> T executeObject(java.lang.Class<T> returnType,
                        java.util.Map<java.lang.String,?> args)

  Execute the stored procedure and return the single out parameter as an Object of the specified return type. In the case where there are multiple out parameters, the first one is returned and additional out parameters are ignored.

  Parameters:
    `returnType` - the type of the value to return
    `args` - Map containing the parameter values to be used in the call.

### executeObject

    <T> T executeObject(java.lang.Class<T> returnType,
                        SqlParameterSource args)

  Execute the stored procedure and return the single out parameter as an Object of the specified return type. In the case where there are multiple out parameters, the first one is returned and additional out parameters are ignored.

  Parameters:
    `returnType` - the type of the value to return
    `args` - MapSqlParameterSource containing the parameter values to be used in the call.

### execute

    java.util.Map<java.lang.String,java.lang.Object> execute(java.lang.Object... args)

  Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations.

  Parameters:
    `args` - optional array containing the in parameter values to be used in the call. Parameter values must be provided in the same order as the parameters are defined for the stored procedure.
  Returns:
    map of output params.

### execute

    java.util.Map<java.lang.String,java.lang.Object> execute(java.util.Map<java.lang.String,?> args)

  Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations..

  Parameters:
    `args` - Map containing the parameter values to be used in the call.
  Returns:
    map of output params.

### execute

    java.util.Map<java.lang.String,java.lang.Object> execute(SqlParameterSource args)

  Execute the stored procedure and return a map of output params, keyed by name as in parameter declarations..

  Parameters:
    `args` - SqlParameterSource containing the parameter values to be used in the call.
  Returns:
    map of output params.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD